package com.yihu.wlyy.entity.patient;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by on 2017/6/13
 */
@Entity
@Table(name = "wlyy_sign_family_renew_log")
public class SignFamilyRenewLog extends IdEntity {

    private String   signCode;
    private String   renewSignCode;
    private String   signYear;
    private String   idcard ;
    private String   hospital ;
    private Long    adminTeamId ;
    private String   doctor;
    private String   oldSignCode;
    private String   oldHospital ;
    private Long   oldAdminTeamId;
    private String   oldDoctor;
    private String   needUpload ;
    private String   uploadLog ;
    private String   renewProId ;
    private String   proId ;
    private String   oldProId ;
    private Date   createTime;
    private Date  updateTime;
    private Integer status;
    private Date applyDate;
    private String renewChangeReason;
    private String expensesStatus;

    public String getSignCode() {
        return signCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }

    public String getRenewChangeReason() {
        return renewChangeReason;
    }

    public void setRenewChangeReason(String renewChangeReason) {
        this.renewChangeReason = renewChangeReason;
    }

    public String getExpensesStatus() {
        return expensesStatus;
    }

    public void setExpensesStatus(String expensesStatus) {
        this.expensesStatus = expensesStatus;
    }

    public void setSignCode(String signCode) {
        this.signCode = signCode;
    }

    public String getRenewSignCode() {
        return renewSignCode;
    }

    public void setRenewSignCode(String renewSignCode) {
        this.renewSignCode = renewSignCode;
    }

    public String getSignYear() {
        return signYear;
    }

    public void setSignYear(String signYear) {
        this.signYear = signYear;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public Long getAdminTeamId() {
        return adminTeamId;
    }

    public void setAdminTeamId(Long adminTeamId) {
        this.adminTeamId = adminTeamId;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getOldSignCode() {
        return oldSignCode;
    }

    public void setOldSignCode(String oldSignCode) {
        this.oldSignCode = oldSignCode;
    }

    public String getOldHospital() {
        return oldHospital;
    }

    public void setOldHospital(String oldHospital) {
        this.oldHospital = oldHospital;
    }

    public Long getOldAdminTeamId() {
        return oldAdminTeamId;
    }

    public void setOldAdminTeamId(Long oldAdminTeamId) {
        this.oldAdminTeamId = oldAdminTeamId;
    }

    public String getOldDoctor() {
        return oldDoctor;
    }

    public void setOldDoctor(String oldDoctor) {
        this.oldDoctor = oldDoctor;
    }

    public String getNeedUpload() {
        return needUpload;
    }

    public void setNeedUpload(String needUpload) {
        this.needUpload = needUpload;
    }

    public String getUploadLog() {
        return uploadLog;
    }

    public void setUploadLog(String uploadLog) {
        this.uploadLog = uploadLog;
    }

    public String getRenewProId() {
        return renewProId;
    }

    public void setRenewProId(String renewProId) {
        this.renewProId = renewProId;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getOldProId() {
        return oldProId;
    }

    public void setOldProId(String oldProId) {
        this.oldProId = oldProId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
